<!doctype html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/default.html}">
<head>
    <!-- Primary Meta Tags -->
    <meta name="title" content="Edit Event">
    <title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">Edit Event</title>
</head>
<body>
<div class="container max-w-screen-lg mx-auto px-4" layout:fragment="content">
    <!--  header section-->
    <div class="flex flex-wrap flex-row items-center mt-16 mb-6">
        <a th:href="@{'/event'}"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6 mr-4 stroke-blue-900">
            <path stroke-linecap="round" stroke-linejoin="round" d="M10.5 19.5L3 12m0 0l7.5-7.5M3 12h18" />
        </svg>
        </a>
        <h1 class="text-2xl text-blue-900 font-semibold">Edit Event</h1>
    </div>
    <form th:action="@{/event/update}" method="post" th:object="${scheduleEvent}">
        <div class="flex flex-wrap flex-row md:flex-row-reverse">
            <div class="basis-full basis-full md:basis-8/12">
                <div class="mb-6">
                    <label for="task" class="block mb-2 text-sm font-medium text-gray-900">Event Name</label>
                    <input type="text" id="task" th:field="*{scheduleName}" name="scheduleName" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5" placeholder="Task" required>
                </div>
                <div class="mb-6">
                    <label for="eventDescription" class="block mb-2 text-sm font-medium text-gray-900">Event Description</label>
                    <textarea id="eventDescription" th:field="*{scheduleDescription}" name="scheduleDescription" rows="10" class="block p-2.5 w-full text-sm text-gray-900 bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500" placeholder="Write event description here..."></textarea>
                </div>
                <div class="mb-6">
                    <label for="class" class="block mb-2 text-sm font-medium text-gray-900">Group</label>
                    <select id="class" name="employeeClass" th:field="*{employeeClass}" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5">
                        <option th:each="data : ${listEmployeeClass}"
                                th:text="${data}"
                                th:value="${data}">sdasd</option>
                    </select>
                </div>
                <div class="mb-6">
                    <label for="reward" class="block mb-2 text-sm font-medium text-gray-900">Reward (Rp.)</label>
                    <input type="number" id="reward" th:field="*{reward}" name="reward" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5" required>
                </div>
            </div>
            <div class="basis-full basis-full md:basis-4/12">
                <div class="shadow-md rounded-md md:mr-4 p-4">
                    <div class="mb-6">
                        <label for="date" class="block mb-2 text-sm font-medium text-gray-900">Date</label>
                        <div class="relative">
                            <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
                                <svg aria-hidden="true" class="w-5 h-5 text-gray-500" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M6 2a1 1 0 00-1 1v1H4a2 2 0 00-2 2v10a2 2 0 002 2h12a2 2 0 002-2V6a2 2 0 00-2-2h-1V3a1 1 0 10-2 0v1H7V3a1 1 0 00-1-1zm0 5a1 1 0 000 2h8a1 1 0 100-2H6z" clip-rule="evenodd"></path></svg>
                            </div>
                            <input datepicker type="text" id="date" th:field="*{scheduleDateString}" name="scheduleDateString" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-10 p-2.5" placeholder="Select date">
                        </div>
                    </div>
                    <div class="mb-6">
                        <label for="timeStart" class="block mb-2 text-sm font-medium text-gray-900">Time</label>
                        <div class="flex items-center">
                            <input type="time" id="timeStart" th:field="*{scheduleTimeStartString}" name="scheduleTimeStartString" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5" required>
                            <span class="mx-2 text-gray-500">to</span>
                            <input type="time" id="timeEnd" th:field="*{scheduleTimeEndString}" name="scheduleTimeEndString" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5" required>
                        </div>
                    </div>
                    <div class="flex items-center mb-6">
                        <input id="proof" name="uploadPicture" th:field="*{uploadPicture}" type="checkbox" value="AKTIF" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 focus:ring-2">
                        <label for="proof" class="ml-2 text-sm font-medium text-gray-900 dark:text-gray-300">Must Upload The Picture Proof</label>
                    </div>
                    <div class="flex items-center mb-6">
                        <input id="matchTime" name="mustMatch" th:field="*{mustMatch}" type="checkbox" value="AKTIF" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 focus:ring-2">
                        <label for="matchTime" class="ml-2 text-sm font-medium text-gray-900 dark:text-gray-300">Must Match The Time</label>
                    </div>
                    <label class="relative inline-flex items-center cursor-pointer mb-6">
                        <input checked type="checkbox" value="" class="sr-only peer">
                        <div class="w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-blue-300 dark:peer-focus:ring-blue-800 rounded-full peer dark:bg-gray-700 peer-checked:after:translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:left-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all peer-checked:bg-blue-600"></div>
                        <span class="ml-3 text-sm font-medium text-gray-900 dark:text-gray-300">Status</span>
                    </label>
                    <input type="hidden" th:field="*{jenis}" name="jenis">
                    <input type="hidden" th:field="*{id}" name="id">
                    <button type="submit" class="w-full text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 text-center">Update Event</button>
                </div>
            </div>
        </div>
    </form>
</div>
</body>
</html>